<?php
//NOTE: I got majority of code from latest hw assignment's results php file


$mysql = new mysqli("webdev.iyaserver.com", "dent_guest", "Acad276_Dev2Ex@m", "dent_exam");

if ($mysql->connect_errno) {
    echo "Connection failed: " . $mysql->connect_error;
    exit();
}

// parameters for search

$device_name = $_REQUEST['device_name'];
$manufacturer_id = $_REQUEST['manufacturer_id'];
$system_id = $_REQUEST['system_id'];
$type_id = $_REQUEST['type_id'];

// check on drop downs values

if ($device_name == '' && $manufacturer_id == 'all' && $system_id == 'all' && $type_id == 'all') {
    echo "Error: Select at least one search parameter.";
    exit();
}

// sql query

$sql = "SELECT d.device_id, d.name, d.price, m.manufacturer, s.system, t.type
        FROM devices d
        JOIN manufacturers m ON d.manufacturer_id = m.manufacturer_id
        JOIN systems s ON d.system_id = s.system_id
        JOIN types t ON d.type_id = t.type_id
        WHERE 1=1"; // dummy condition i learned from google, also in my past assignment

// from my past hw assignment..i used google and a friend help for that assignment so that explains the weird syntax

if ($device_name != '') {
    $sql .= " AND d.name LIKE '%" . $mysql->real_escape_string($device_name) . "%'";
}

if ($manufacturer_id != 'all') {
    $sql .= " AND d.manufacturer_id = " . $manufacturer_id; 
}

if ($system_id != 'all') {
    $sql .= " AND d.system_id = " . $system_id; 
}

if ($type_id != 'all') {
    $sql .= " AND d.type_id = " . $type_id; 
}

$result = $mysql->query($sql);

if (!$result) {
    echo "Query error: " . $mysql->error;
    exit();
}

$num_results = $result->num_rows;
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Acad276 Practical Exam: Results</title>
    <style>
        .container {
            width: 600px;
            margin: auto;
        }
        h1 {
            margin: auto;
            text-align: center;
            background-color: #900;
            color: #FC0;
            height: 60px;
            line-height: 60px;
        }
        .num-results {
            margin: 20px 10px;
        }
        table {
            margin: auto;
            margin-bottom: 20px;
            width: 80%;
            border-collapse: collapse;
        }
        th, td {
            border: 1px solid #900;
            padding: 10px;
            text-align: center;
        }
        .nav-link {
            margin: 10px 0px;
            font-size: 14px;
        }
    </style>
</head>
<body>
<div class="container">
    <h1>Mobile Device Database: Search Results</h1>
    <div class="nav-link">
        <a href="search.php"><< Back to Search Page</a>
    </div>
    <div class="num-results">
        Your search returned <strong><?php echo $num_results; ?></strong> results.
    </div>

    <table>
        <tr>
            <th>Name</th>
            <th>Price</th>
            <th>Manufacturer</th>
            <th>System</th>
            <th>Type</th>
        </tr>

        <?php
        while ($row = $result->fetch_assoc()) {
            echo "<tr>";
            echo "<td><a href='details.php?id=" . $row['device_id'] . "'>" . $row['name'] . "</a></td>";
            echo "<td>" . $row['price'] . "</td>";
            echo "<td>" . $row['manufacturer'] . "</td>";
            echo "<td>" . $row['system'] . "</td>";
            echo "<td>" . $row['type'] . "</td>";
            echo "</tr>";
        }
        ?>
    </table>
</div>
</body>
</html>

<?php
$mysql->close();
?>

